curl -X POST "https://api.telzino.com/v1/webhooks/3f2b8c1e-5d4a-4e7b-9c2d-1a6f0e8b7d54/enable" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"held": "resume"
}'
const response = await fetch('https://api.telzino.com/v1/webhooks/3f2b8c1e-5d4a-4e7b-9c2d-1a6f0e8b7d54/enable', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"held": "resume"
})
});
import requests
response = requests.post(
'https://api.telzino.com/v1/webhooks/3f2b8c1e-5d4a-4e7b-9c2d-1a6f0e8b7d54/enable',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
"held": "resume"
}
)
{ "held_resolved": 3 }
{ "error": "conflict", "error_description": "This endpoint has 3 held deliveries: choose resume or discard." }
{ "error": "not_found", "error_description": "Webhook endpoint not found." }
Event Webhooks
Enable Event Webhook
Switches an endpoint on
POST
/
v1
/
webhooks
/
{webhookId}
/
enable
curl -X POST "https://api.telzino.com/v1/webhooks/3f2b8c1e-5d4a-4e7b-9c2d-1a6f0e8b7d54/enable" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"held": "resume"
}'
const response = await fetch('https://api.telzino.com/v1/webhooks/3f2b8c1e-5d4a-4e7b-9c2d-1a6f0e8b7d54/enable', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"held": "resume"
})
});
import requests
response = requests.post(
'https://api.telzino.com/v1/webhooks/3f2b8c1e-5d4a-4e7b-9c2d-1a6f0e8b7d54/enable',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
"held": "resume"
}
)
{ "held_resolved": 3 }
{ "error": "conflict", "error_description": "This endpoint has 3 held deliveries: choose resume or discard." }
{ "error": "not_found", "error_description": "Webhook endpoint not found." }
Path Parameters
Request Body
resume (send the deliveries held while it was disabled) or discard. Required when the endpoint has held deliveries.An endpoint or delivery outside your API key’s scope returns
404, the same as one that does not exist.curl -X POST "https://api.telzino.com/v1/webhooks/3f2b8c1e-5d4a-4e7b-9c2d-1a6f0e8b7d54/enable" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"held": "resume"
}'
const response = await fetch('https://api.telzino.com/v1/webhooks/3f2b8c1e-5d4a-4e7b-9c2d-1a6f0e8b7d54/enable', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"held": "resume"
})
});
import requests
response = requests.post(
'https://api.telzino.com/v1/webhooks/3f2b8c1e-5d4a-4e7b-9c2d-1a6f0e8b7d54/enable',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
"held": "resume"
}
)
{ "held_resolved": 3 }
{ "error": "conflict", "error_description": "This endpoint has 3 held deliveries: choose resume or discard." }
{ "error": "not_found", "error_description": "Webhook endpoint not found." }
